package test;

/*
 *  Copyright (C) 2020 Juergen Platzer
 *
 *  This file is part of JInfoViz.
 *
 *  JInfoViz is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JInfoViz is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JInfoViz.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Vector;

public class PerformAllTests {





  public static void main(String[] args) {

    Vector<AbstractTest> allTests = new Vector<AbstractTest>();
    allTests.add(new MCDBestSolutionsTest());
    allTests.add(new MatrixInversionTest());
    allTests.add(new EigenvalueDecompositionTest());
    allTests.add(new CovarianceCalculatorTest());
    allTests.add(new MahalanobisDistanceTest());
    allTests.add(new PrincipalComponentsTest());

    //TODO: bring this back in and correct MCD algorithm!!!!
    //allTests.add(new MCDCovarianceCalculatorTest());


    int errorCount = 0;
    for (int i = 0; i < allTests.size(); i++) {
      AbstractTest test = allTests.get(i);
      test.performTest();
      errorCount += test.getErrorCount();
    }

    System.out.println(AbstractTest.SEPARATOR);
    if (errorCount == 0) {
      System.out.println("ALL TESTS OK");
    }
    else {
      System.out.println("!!!!!FAILED!!!!!");
      System.out.println(errorCount + " ERRORS FOUND!!!!");
    }
    System.out.println(AbstractTest.SEPARATOR);



  }

}
