package test;

/*
 *  Copyright (C) 2020 Juergen Platzer
 *
 *  This file is part of JInfoViz.
 *
 *  JInfoViz is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JInfoViz is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JInfoViz.  If not, see <http://www.gnu.org/licenses/>.
 */



public class TestDataProvider  {

  public static float[][] getIrisDataRange(int startIndex, int endIndex) {
    if (startIndex < 0) startIndex = 0;
    if (endIndex > 149) endIndex = 149;
    if (startIndex > endIndex) {
      int help = endIndex;
      endIndex = startIndex;
      startIndex = help;
    }

    float[][] data = new float[4][endIndex-startIndex+1];
    float[][] iris = getIrisData();
    for (int i = 0; i < 4; i++) {
      //String test = "";
      int counter = 0;
      for (int j = startIndex; j <= endIndex; j++) {
        data[i][counter] = iris[i][j];
        counter++;
        //test += data[i][j] + ", ";
      }
      //System.out.println(test);
    }
    return data;

  }

  public static float[][] getFirstTenIrisData() {
    float[][] data = new float[4][10];
    float[][] iris = getIrisData();
    for (int i = 0; i < 4; i++) {
      //String test = "";
      for (int j = 0; j < 10; j++) {
        data[i][j] = iris[i][j];
        //test += data[i][j] + ", ";
      }
      //System.out.println(test);
    }
    return data;
  }

  public static float[][] getLastTenIrisData() {
    float[][] data = new float[4][10];
    float[][] iris = getIrisData();
    for (int i = 0; i < 4; i++) {
      for (int j = 0; j < 10; j++) {
        data[i][j] = iris[i][149-j];
      }
    }
    return data;
  }

  public static float[][] getIrisData() {
    float[][] data = new float[4][150];
    data[0][0] =5.1f; data[1][0] =3.5f; data[2][0] =1.4f; data[3][0] =0.2f;
    data[0][1] =4.9f; data[1][1] =3.0f; data[2][1] =1.4f; data[3][1] =0.2f;
    data[0][2] =4.7f; data[1][2] =3.2f; data[2][2] =1.3f; data[3][2] =0.2f;
    data[0][3] =4.6f; data[1][3] =3.1f; data[2][3] =1.5f; data[3][3] =0.2f;
    data[0][4] =5.0f; data[1][4] =3.6f; data[2][4] =1.4f; data[3][4] =0.2f;
    data[0][5] =5.4f; data[1][5] =3.9f; data[2][5] =1.7f; data[3][5] =0.4f;
    data[0][6] =4.6f; data[1][6] =3.4f; data[2][6] =1.4f; data[3][6] =0.3f;
    data[0][7] =5.0f; data[1][7] =3.4f; data[2][7] =1.5f; data[3][7] =0.2f;
    data[0][8] =4.4f; data[1][8] =2.9f; data[2][8] =1.4f; data[3][8] =0.2f;
    data[0][9] =4.9f; data[1][9] =3.1f; data[2][9] =1.5f; data[3][9] =0.1f;
    data[0][10] =5.4f; data[1][10] =3.7f; data[2][10] =1.5f; data[3][10] =0.2f;
    data[0][11] =4.8f; data[1][11] =3.4f; data[2][11] =1.6f; data[3][11] =0.2f;
    data[0][12] =4.8f; data[1][12] =3.0f; data[2][12] =1.4f; data[3][12] =0.1f;
    data[0][13] =4.3f; data[1][13] =3.0f; data[2][13] =1.1f; data[3][13] =0.1f;
    data[0][14] =5.8f; data[1][14] =4.0f; data[2][14] =1.2f; data[3][14] =0.2f;
    data[0][15] =5.7f; data[1][15] =4.4f; data[2][15] =1.5f; data[3][15] =0.4f;
    data[0][16] =5.4f; data[1][16] =3.9f; data[2][16] =1.3f; data[3][16] =0.4f;
    data[0][17] =5.1f; data[1][17] =3.5f; data[2][17] =1.4f; data[3][17] =0.3f;
    data[0][18] =5.7f; data[1][18] =3.8f; data[2][18] =1.7f; data[3][18] =0.3f;
    data[0][19] =5.1f; data[1][19] =3.8f; data[2][19] =1.5f; data[3][19] =0.3f;
    data[0][20] =5.4f; data[1][20] =3.4f; data[2][20] =1.7f; data[3][20] =0.2f;
    data[0][21] =5.1f; data[1][21] =3.7f; data[2][21] =1.5f; data[3][21] =0.4f;
    data[0][22] =4.6f; data[1][22] =3.6f; data[2][22] =1.0f; data[3][22] =0.2f;
    data[0][23] =5.1f; data[1][23] =3.3f; data[2][23] =1.7f; data[3][23] =0.5f;
    data[0][24] =4.8f; data[1][24] =3.4f; data[2][24] =1.9f; data[3][24] =0.2f;
    data[0][25] =5.0f; data[1][25] =3.0f; data[2][25] =1.6f; data[3][25] =0.2f;
    data[0][26] =5.0f; data[1][26] =3.4f; data[2][26] =1.6f; data[3][26] =0.4f;
    data[0][27] =5.2f; data[1][27] =3.5f; data[2][27] =1.5f; data[3][27] =0.2f;
    data[0][28] =5.2f; data[1][28] =3.4f; data[2][28] =1.4f; data[3][28] =0.2f;
    data[0][29] =4.7f; data[1][29] =3.2f; data[2][29] =1.6f; data[3][29] =0.2f;
    data[0][30] =4.8f; data[1][30] =3.1f; data[2][30] =1.6f; data[3][30] =0.2f;
    data[0][31] =5.4f; data[1][31] =3.4f; data[2][31] =1.5f; data[3][31] =0.4f;
    data[0][32] =5.2f; data[1][32] =4.1f; data[2][32] =1.5f; data[3][32] =0.1f;
    data[0][33] =5.5f; data[1][33] =4.2f; data[2][33] =1.4f; data[3][33] =0.2f;
    data[0][34] =4.9f; data[1][34] =3.1f; data[2][34] =1.5f; data[3][34] =0.2f;
    data[0][35] =5.0f; data[1][35] =3.2f; data[2][35] =1.2f; data[3][35] =0.2f;
    data[0][36] =5.5f; data[1][36] =3.5f; data[2][36] =1.3f; data[3][36] =0.2f;
    data[0][37] =4.9f; data[1][37] =3.6f; data[2][37] =1.4f; data[3][37] =0.1f;
    data[0][38] =4.4f; data[1][38] =3.0f; data[2][38] =1.3f; data[3][38] =0.2f;
    data[0][39] =5.1f; data[1][39] =3.4f; data[2][39] =1.5f; data[3][39] =0.2f;
    data[0][40] =5.0f; data[1][40] =3.5f; data[2][40] =1.3f; data[3][40] =0.3f;
    data[0][41] =4.5f; data[1][41] =2.3f; data[2][41] =1.3f; data[3][41] =0.3f;
    data[0][42] =4.4f; data[1][42] =3.2f; data[2][42] =1.3f; data[3][42] =0.2f;
    data[0][43] =5.0f; data[1][43] =3.5f; data[2][43] =1.6f; data[3][43] =0.6f;
    data[0][44] =5.1f; data[1][44] =3.8f; data[2][44] =1.9f; data[3][44] =0.4f;
    data[0][45] =4.8f; data[1][45] =3.0f; data[2][45] =1.4f; data[3][45] =0.3f;
    data[0][46] =5.1f; data[1][46] =3.8f; data[2][46] =1.6f; data[3][46] =0.2f;
    data[0][47] =4.6f; data[1][47] =3.2f; data[2][47] =1.4f; data[3][47] =0.2f;
    data[0][48] =5.3f; data[1][48] =3.7f; data[2][48] =1.5f; data[3][48] =0.2f;
    data[0][49] =5.0f; data[1][49] =3.3f; data[2][49] =1.4f; data[3][49] =0.2f;
    data[0][50] =7.0f; data[1][50] =3.2f; data[2][50] =4.7f; data[3][50] =1.4f;
    data[0][51] =6.4f; data[1][51] =3.2f; data[2][51] =4.5f; data[3][51] =1.5f;
    data[0][52] =6.9f; data[1][52] =3.1f; data[2][52] =4.9f; data[3][52] =1.5f;
    data[0][53] =5.5f; data[1][53] =2.3f; data[2][53] =4.0f; data[3][53] =1.3f;
    data[0][54] =6.5f; data[1][54] =2.8f; data[2][54] =4.6f; data[3][54] =1.5f;
    data[0][55] =5.7f; data[1][55] =2.8f; data[2][55] =4.5f; data[3][55] =1.3f;
    data[0][56] =6.3f; data[1][56] =3.3f; data[2][56] =4.7f; data[3][56] =1.6f;
    data[0][57] =4.9f; data[1][57] =2.4f; data[2][57] =3.3f; data[3][57] =1.0f;
    data[0][58] =6.6f; data[1][58] =2.9f; data[2][58] =4.6f; data[3][58] =1.3f;
    data[0][59] =5.2f; data[1][59] =2.7f; data[2][59] =3.9f; data[3][59] =1.4f;
    data[0][60] =5.0f; data[1][60] =2.0f; data[2][60] =3.5f; data[3][60] =1.0f;
    data[0][61] =5.9f; data[1][61] =3.0f; data[2][61] =4.2f; data[3][61] =1.5f;
    data[0][62] =6.0f; data[1][62] =2.2f; data[2][62] =4.0f; data[3][62] =1.0f;
    data[0][63] =6.1f; data[1][63] =2.9f; data[2][63] =4.7f; data[3][63] =1.4f;
    data[0][64] =5.6f; data[1][64] =2.9f; data[2][64] =3.6f; data[3][64] =1.3f;
    data[0][65] =6.7f; data[1][65] =3.1f; data[2][65] =4.4f; data[3][65] =1.4f;
    data[0][66] =5.6f; data[1][66] =3.0f; data[2][66] =4.5f; data[3][66] =1.5f;
    data[0][67] =5.8f; data[1][67] =2.7f; data[2][67] =4.1f; data[3][67] =1.0f;
    data[0][68] =6.2f; data[1][68] =2.2f; data[2][68] =4.5f; data[3][68] =1.5f;
    data[0][69] =5.6f; data[1][69] =2.5f; data[2][69] =3.9f; data[3][69] =1.1f;
    data[0][70] =5.9f; data[1][70] =3.2f; data[2][70] =4.8f; data[3][70] =1.8f;
    data[0][71] =6.1f; data[1][71] =2.8f; data[2][71] =4.0f; data[3][71] =1.3f;
    data[0][72] =6.3f; data[1][72] =2.5f; data[2][72] =4.9f; data[3][72] =1.5f;
    data[0][73] =6.1f; data[1][73] =2.8f; data[2][73] =4.7f; data[3][73] =1.2f;
    data[0][74] =6.4f; data[1][74] =2.9f; data[2][74] =4.3f; data[3][74] =1.3f;
    data[0][75] =6.6f; data[1][75] =3.0f; data[2][75] =4.4f; data[3][75] =1.4f;
    data[0][76] =6.8f; data[1][76] =2.8f; data[2][76] =4.8f; data[3][76] =1.4f;
    data[0][77] =6.7f; data[1][77] =3.0f; data[2][77] =5.0f; data[3][77] =1.7f;
    data[0][78] =6.0f; data[1][78] =2.9f; data[2][78] =4.5f; data[3][78] =1.5f;
    data[0][79] =5.7f; data[1][79] =2.6f; data[2][79] =3.5f; data[3][79] =1.0f;
    data[0][80] =5.5f; data[1][80] =2.4f; data[2][80] =3.8f; data[3][80] =1.1f;
    data[0][81] =5.5f; data[1][81] =2.4f; data[2][81] =3.7f; data[3][81] =1.0f;
    data[0][82] =5.8f; data[1][82] =2.7f; data[2][82] =3.9f; data[3][82] =1.2f;
    data[0][83] =6.0f; data[1][83] =2.7f; data[2][83] =5.1f; data[3][83] =1.6f;
    data[0][84] =5.4f; data[1][84] =3.0f; data[2][84] =4.5f; data[3][84] =1.5f;
    data[0][85] =6.0f; data[1][85] =3.4f; data[2][85] =4.5f; data[3][85] =1.6f;
    data[0][86] =6.7f; data[1][86] =3.1f; data[2][86] =4.7f; data[3][86] =1.5f;
    data[0][87] =6.3f; data[1][87] =2.3f; data[2][87] =4.4f; data[3][87] =1.3f;
    data[0][88] =5.6f; data[1][88] =3.0f; data[2][88] =4.1f; data[3][88] =1.3f;
    data[0][89] =5.5f; data[1][89] =2.5f; data[2][89] =4.0f; data[3][89] =1.3f;
    data[0][90] =5.5f; data[1][90] =2.6f; data[2][90] =4.4f; data[3][90] =1.2f;
    data[0][91] =6.1f; data[1][91] =3.0f; data[2][91] =4.6f; data[3][91] =1.4f;
    data[0][92] =5.8f; data[1][92] =2.6f; data[2][92] =4.0f; data[3][92] =1.2f;
    data[0][93] =5.0f; data[1][93] =2.3f; data[2][93] =3.3f; data[3][93] =1.0f;
    data[0][94] =5.6f; data[1][94] =2.7f; data[2][94] =4.2f; data[3][94] =1.3f;
    data[0][95] =5.7f; data[1][95] =3.0f; data[2][95] =4.2f; data[3][95] =1.2f;
    data[0][96] =5.7f; data[1][96] =2.9f; data[2][96] =4.2f; data[3][96] =1.3f;
    data[0][97] =6.2f; data[1][97] =2.9f; data[2][97] =4.3f; data[3][97] =1.3f;
    data[0][98] =5.1f; data[1][98] =2.5f; data[2][98] =3.0f; data[3][98] =1.1f;
    data[0][99] =5.7f; data[1][99] =2.8f; data[2][99] =4.1f; data[3][99] =1.3f;
    data[0][100] =6.3f; data[1][100] =3.3f; data[2][100] =6.0f; data[3][100] =2.5f;
    data[0][101] =5.8f; data[1][101] =2.7f; data[2][101] =5.1f; data[3][101] =1.9f;
    data[0][102] =7.1f; data[1][102] =3.0f; data[2][102] =5.9f; data[3][102] =2.1f;
    data[0][103] =6.3f; data[1][103] =2.9f; data[2][103] =5.6f; data[3][103] =1.8f;
    data[0][104] =6.5f; data[1][104] =3.0f; data[2][104] =5.8f; data[3][104] =2.2f;
    data[0][105] =7.6f; data[1][105] =3.0f; data[2][105] =6.6f; data[3][105] =2.1f;
    data[0][106] =4.9f; data[1][106] =2.5f; data[2][106] =4.5f; data[3][106] =1.7f;
    data[0][107] =7.3f; data[1][107] =2.9f; data[2][107] =6.3f; data[3][107] =1.8f;
    data[0][108] =6.7f; data[1][108] =2.5f; data[2][108] =5.8f; data[3][108] =1.8f;
    data[0][109] =7.2f; data[1][109] =3.6f; data[2][109] =6.1f; data[3][109] =2.5f;
    data[0][110] =6.5f; data[1][110] =3.2f; data[2][110] =5.1f; data[3][110] =2.0f;
    data[0][111] =6.4f; data[1][111] =2.7f; data[2][111] =5.3f; data[3][111] =1.9f;
    data[0][112] =6.8f; data[1][112] =3.0f; data[2][112] =5.5f; data[3][112] =2.1f;
    data[0][113] =5.7f; data[1][113] =2.5f; data[2][113] =5.0f; data[3][113] =2.0f;
    data[0][114] =5.8f; data[1][114] =2.8f; data[2][114] =5.1f; data[3][114] =2.4f;
    data[0][115] =6.4f; data[1][115] =3.2f; data[2][115] =5.3f; data[3][115] =2.3f;
    data[0][116] =6.5f; data[1][116] =3.0f; data[2][116] =5.5f; data[3][116] =1.8f;
    data[0][117] =7.7f; data[1][117] =3.8f; data[2][117] =6.7f; data[3][117] =2.2f;
    data[0][118] =7.7f; data[1][118] =2.6f; data[2][118] =6.9f; data[3][118] =2.3f;
    data[0][119] =6.0f; data[1][119] =2.2f; data[2][119] =5.0f; data[3][119] =1.5f;
    data[0][120] =6.9f; data[1][120] =3.2f; data[2][120] =5.7f; data[3][120] =2.3f;
    data[0][121] =5.6f; data[1][121] =2.8f; data[2][121] =4.9f; data[3][121] =2.0f;
    data[0][122] =7.7f; data[1][122] =2.8f; data[2][122] =6.7f; data[3][122] =2.0f;
    data[0][123] =6.3f; data[1][123] =2.7f; data[2][123] =4.9f; data[3][123] =1.8f;
    data[0][124] =6.7f; data[1][124] =3.3f; data[2][124] =5.7f; data[3][124] =2.1f;
    data[0][125] =7.2f; data[1][125] =3.2f; data[2][125] =6.0f; data[3][125] =1.8f;
    data[0][126] =6.2f; data[1][126] =2.8f; data[2][126] =4.8f; data[3][126] =1.8f;
    data[0][127] =6.1f; data[1][127] =3.0f; data[2][127] =4.9f; data[3][127] =1.8f;
    data[0][128] =6.4f; data[1][128] =2.8f; data[2][128] =5.6f; data[3][128] =2.1f;
    data[0][129] =7.2f; data[1][129] =3.0f; data[2][129] =5.8f; data[3][129] =1.6f;
    data[0][130] =7.4f; data[1][130] =2.8f; data[2][130] =6.1f; data[3][130] =1.9f;
    data[0][131] =7.9f; data[1][131] =3.8f; data[2][131] =6.4f; data[3][131] =2.0f;
    data[0][132] =6.4f; data[1][132] =2.8f; data[2][132] =5.6f; data[3][132] =2.2f;
    data[0][133] =6.3f; data[1][133] =2.8f; data[2][133] =5.1f; data[3][133] =1.5f;
    data[0][134] =6.1f; data[1][134] =2.6f; data[2][134] =5.6f; data[3][134] =1.4f;
    data[0][135] =7.7f; data[1][135] =3.0f; data[2][135] =6.1f; data[3][135] =2.3f;
    data[0][136] =6.3f; data[1][136] =3.4f; data[2][136] =5.6f; data[3][136] =2.4f;
    data[0][137] =6.4f; data[1][137] =3.1f; data[2][137] =5.5f; data[3][137] =1.8f;
    data[0][138] =6.0f; data[1][138] =3.0f; data[2][138] =4.8f; data[3][138] =1.8f;
    data[0][139] =6.9f; data[1][139] =3.1f; data[2][139] =5.4f; data[3][139] =2.1f;
    data[0][140] =6.7f; data[1][140] =3.1f; data[2][140] =5.6f; data[3][140] =2.4f;
    data[0][141] =6.9f; data[1][141] =3.1f; data[2][141] =5.1f; data[3][141] =2.3f;
    data[0][142] =5.8f; data[1][142] =2.7f; data[2][142] =5.1f; data[3][142] =1.9f;
    data[0][143] =6.8f; data[1][143] =3.2f; data[2][143] =5.9f; data[3][143] =2.3f;
    data[0][144] =6.7f; data[1][144] =3.3f; data[2][144] =5.7f; data[3][144] =2.5f;
    data[0][145] =6.7f; data[1][145] =3.0f; data[2][145] =5.2f; data[3][145] =2.3f;
    data[0][146] =6.3f; data[1][146] =2.5f; data[2][146] =5.0f; data[3][146] =1.9f;
    data[0][147] =6.5f; data[1][147] =3.0f; data[2][147] =5.2f; data[3][147] =2.0f;
    data[0][148] =6.2f; data[1][148] =3.4f; data[2][148] =5.4f; data[3][148] =2.3f;
    data[0][149] =5.9f; data[1][149] =3.0f; data[2][149] =5.1f; data[3][149] =1.8f;
    return data;
  }





}
