package tools;

/*
 *  Copyright (C) 2020 Juergen Platzer
 *
 *  This file is part of JInfoViz.
 *
 *  JInfoViz is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JInfoViz is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JInfoViz.  If not, see <http://www.gnu.org/licenses/>.
 */

public class EigenValueAndVector {

  private int _id;
  private double _eigenValue;
  private double[] _eigenVector;


  public EigenValueAndVector(int id, double eigenValue, double[] eigenVector) {
    _id = id;
    _eigenValue = eigenValue;
    _eigenVector = eigenVector;
  }

  public double getValue() {
    return _eigenValue;
  }

  public double[] getVector() {
    return _eigenVector;
  }


  public void print() {
    System.out.println("\n" + _id + ". Eigenvalue: " + _eigenValue);

    System.out.println("\n" + _id + ". Eigenvector: ");
    int dim = _eigenVector.length;
    for (int i = 0; i < dim; i++) {
      System.out.println(_eigenVector[i]);
    }



  }

}
